GNU bug report logs - #17451
date command: Bug?

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: coreutils; Severity: wishlist; Reported by: Paul Eggert <eggert@HIDDEN>; Keywords: notabug patch; dated Fri, 9 May 2014 18:18:02 UTC; Maintainer for coreutils is bug-coreutils@HIDDEN.
Severity set to 'wishlist' from 'normal' Request was from Paul Eggert <eggert@HIDDEN> to control <at> debbugs.gnu.org. Full text available.
Added tag(s) patch. Request was from Paul Eggert <eggert@HIDDEN> to control <at> debbugs.gnu.org. Full text available.
Did not alter fixed versions and reopened. Request was from Debbugs Internal Request <help-debbugs@HIDDEN> to internal_control <at> debbugs.gnu.org. Full text available.
Changed bug submitter to 'Paul Eggert <eggert@HIDDEN>' from '"Yin, Dazhong@ARB" <dyin@HIDDEN>' Request was from Paul Eggert <eggert@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 17451 <at> debbugs.gnu.org:


Received: (at 17451) by debbugs.gnu.org; 10 May 2014 19:23:34 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat May 10 15:23:34 2014
Received: from localhost ([127.0.0.1]:58351 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1WjCrt-0003Qh-G9
	for submit <at> debbugs.gnu.org; Sat, 10 May 2014 15:23:33 -0400
Received: from smtp.cs.ucla.edu ([131.179.128.62]:59083)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <eggert@HIDDEN>) id 1WjCrq-0003QN-0D
 for 17451 <at> debbugs.gnu.org; Sat, 10 May 2014 15:23:31 -0400
Received: from localhost (localhost.localdomain [127.0.0.1])
 by smtp.cs.ucla.edu (Postfix) with ESMTP id 75EF939E8013;
 Sat, 10 May 2014 12:23:24 -0700 (PDT)
X-Virus-Scanned: amavisd-new at smtp.cs.ucla.edu
Received: from smtp.cs.ucla.edu ([127.0.0.1])
 by localhost (smtp.cs.ucla.edu [127.0.0.1]) (amavisd-new, port 10024)
 with ESMTP id wDL-CCzwvzRc; Sat, 10 May 2014 12:23:20 -0700 (PDT)
Received: from [192.168.1.9] (pool-108-0-233-62.lsanca.fios.verizon.net
 [108.0.233.62])
 by smtp.cs.ucla.edu (Postfix) with ESMTPSA id 4B07F39E8012;
 Sat, 10 May 2014 12:23:20 -0700 (PDT)
Message-ID: <536E7CA7.9080204@HIDDEN>
Date: Sat, 10 May 2014 12:23:19 -0700
From: Paul Eggert <eggert@HIDDEN>
Organization: UCLA Computer Science Department
User-Agent: Mozilla/5.0 (X11; Linux x86_64;
 rv:24.0) Gecko/20100101 Thunderbird/24.5.0
MIME-Version: 1.0
To: "Yin, Dazhong@ARB" <dyin@HIDDEN>, 17451 <at> debbugs.gnu.org
Subject: Let's patch 'date' to suggest the FAQ for invalid date formats
References: <C08E8A6A721CF9429FB6099DC5FFC3F4C61F4C@HIDDEN>
In-Reply-To: <C08E8A6A721CF9429FB6099DC5FFC3F4C61F4C@HIDDEN>
Content-Type: multipart/mixed; boundary="------------090008060101040808000900"
X-Spam-Score: -3.0 (---)
X-Debbugs-Envelope-To: 17451
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.0 (---)

This is a multi-part message in MIME format.
--------------090008060101040808000900
Content-Type: text/plain; charset=UTF-8; format=flowed
Content-Transfer-Encoding: 7bit

This topic comes up often enough that I'm inclined to add an FAQ pointer 
into that diagnostic issued by 'date'.  Proposed patch is attached.  I 
suppose we could try for a more-stable URL, but one step at a time.

--------------090008060101040808000900
Content-Type: text/plain; charset=UTF-8;
 name="0001-date-point-people-at-the-FAQ-for-invalid-date-format.patch"
Content-Transfer-Encoding: base64
Content-Disposition: attachment;
 filename*0="0001-date-point-people-at-the-FAQ-for-invalid-date-format.pa";
 filename*1="tch"
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--------------090008060101040808000900--




Information forwarded to bug-coreutils@HIDDEN:
bug#17451; Package coreutils. Full text available.

Message received at 17451-done <at> debbugs.gnu.org:


Received: (at 17451-done) by debbugs.gnu.org; 10 May 2014 19:19:11 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat May 10 15:19:11 2014
Received: from localhost ([127.0.0.1]:58336 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1WjCne-0003Hs-MP
	for submit <at> debbugs.gnu.org; Sat, 10 May 2014 15:19:10 -0400
Received: from mx1.redhat.com ([209.132.183.28]:54987)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <eblake@HIDDEN>)
 id 1WjCna-0003He-Vs; Sat, 10 May 2014 15:19:08 -0400
Received: from int-mx09.intmail.prod.int.phx2.redhat.com
 (int-mx09.intmail.prod.int.phx2.redhat.com [10.5.11.22])
 by mx1.redhat.com (8.14.4/8.14.4) with ESMTP id s4AJJ4TN031635
 (version=TLSv1/SSLv3 cipher=DHE-RSA-AES256-GCM-SHA384 bits=256 verify=OK);
 Sat, 10 May 2014 15:19:04 -0400
Received: from [10.3.113.54] (ovpn-113-54.phx2.redhat.com [10.3.113.54])
 by int-mx09.intmail.prod.int.phx2.redhat.com (8.14.4/8.14.4) with ESMTP id
 s4AJJ3lY020358; Sat, 10 May 2014 15:19:03 -0400
Message-ID: <536E7BA7.2050607@HIDDEN>
Date: Sat, 10 May 2014 13:19:03 -0600
From: Eric Blake <eblake@HIDDEN>
Organization: Red Hat, Inc.
User-Agent: Mozilla/5.0 (X11; Linux x86_64;
 rv:24.0) Gecko/20100101 Thunderbird/24.5.0
MIME-Version: 1.0
To: "Yin, Dazhong@ARB" <dyin@HIDDEN>, 17451-done <at> debbugs.gnu.org
Subject: Re: bug#17451: date command: Bug?
References: <C08E8A6A721CF9429FB6099DC5FFC3F4C61F4C@HIDDEN>
In-Reply-To: <C08E8A6A721CF9429FB6099DC5FFC3F4C61F4C@HIDDEN>
X-Enigmail-Version: 1.6
OpenPGP: url=http://people.redhat.com/eblake/eblake.gpg
Content-Type: multipart/signed; micalg=pgp-sha256;
 protocol="application/pgp-signature";
 boundary="1Iwt15JU0v5sxhlWLsefaR4Al8CE2lWf0"
X-Scanned-By: MIMEDefang 2.68 on 10.5.11.22
X-Spam-Score: -5.7 (-----)
X-Debbugs-Envelope-To: 17451-done
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -5.7 (-----)

This is an OpenPGP/MIME signed message (RFC 4880 and 3156)
--1Iwt15JU0v5sxhlWLsefaR4Al8CE2lWf0
Content-Type: text/plain; charset=UTF-8
Content-Transfer-Encoding: quoted-printable

tag 17451 notabug
thanks

On 05/09/2014 12:07 PM, Yin, Dazhong@ARB wrote:
> When querying the time zone, the date command cannot deal with the hour=
 when time changes from standard time to daylight saving time.

That's because that hour does not exist in your timezone.

All of your examples look like correct behavior to me.  You've asked a FA=
Q:
https://www.gnu.org/software/coreutils/faq/coreutils-faq.html#The-date-co=
mmand-is-not-working-right_002e

Our advice is to compute dates in UTC, or when sticking to a locale with
daylight savings, then compute dates relative to noon rather than near
the hour that might disappear or be doubled.

--=20
Eric Blake   eblake redhat com    +1-919-301-3266
Libvirt virtualization library http://libvirt.org


--1Iwt15JU0v5sxhlWLsefaR4Al8CE2lWf0
Content-Type: application/pgp-signature; name="signature.asc"
Content-Description: OpenPGP digital signature
Content-Disposition: attachment; filename="signature.asc"

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1
Comment: Public key at http://people.redhat.com/eblake/eblake.gpg
Comment: Using GnuPG with Thunderbird - http://www.enigmail.net/

iQEcBAEBCAAGBQJTbnunAAoJEKeha0olJ0Nq/s8H/RsR7Fhjydr9UtVdysBwv+n8
RjTpc7SG758K3VKE2wStUaZlBFWwlDrrC4PHaVQxyop1rDyjATeBEy2QWGTxP21E
bXU1QiIov70VD4SERmNEqsNIQPIWsuWxqkREx/u69qh8Wf9Lx0SGLrJxdBcfnr0Z
/8PY67m3r2SqbZmFqNOFrIIdnn6SMSBZJ8hn/UJBx0WgM/THLdrrQgm6xhmBOx9D
XBwjBB7wDpiUFXIpWWMtHcZiiqwDjyGAk7Ee9iEFsg6EhxGEnp7zEfV1BY6bD6kP
vwfJLpyokxrnFpGRf6S3+1Mi2CCUwFc+XRnuFdlA/IWZc6fACinMCnpPKr+iG1k=
=GQVQ
-----END PGP SIGNATURE-----

--1Iwt15JU0v5sxhlWLsefaR4Al8CE2lWf0--




Notification sent to "Yin, Dazhong@ARB" <dyin@HIDDEN>:
bug acknowledged by developer. Full text available.
Reply sent to Eric Blake <eblake@HIDDEN>:
You have taken responsibility. Full text available.
Added tag(s) notabug. Request was from Eric Blake <eblake@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 9 May 2014 18:17:43 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri May 09 14:17:43 2014
Received: from localhost ([127.0.0.1]:57249 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1WipMc-0008HH-8R
	for submit <at> debbugs.gnu.org; Fri, 09 May 2014 14:17:42 -0400
Received: from eggs.gnu.org ([208.118.235.92]:49465)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <dyin@HIDDEN>) id 1WipCy-00081E-2L
 for submit <at> debbugs.gnu.org; Fri, 09 May 2014 14:07:45 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <dyin@HIDDEN>) id 1WipCi-0003DO-CA
 for submit <at> debbugs.gnu.org; Fri, 09 May 2014 14:07:38 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=0.8 required=5.0 tests=BAYES_50,HTML_MESSAGE
 autolearn=disabled version=3.3.2
Received: from lists.gnu.org ([2001:4830:134:3::11]:47828)
 by eggs.gnu.org with esmtp (Exim 4.71)
 (envelope-from <dyin@HIDDEN>) id 1WipCi-0003DI-92
 for submit <at> debbugs.gnu.org; Fri, 09 May 2014 14:07:28 -0400
Received: from eggs.gnu.org ([2001:4830:134:3::10]:51092)
 by lists.gnu.org with esmtp (Exim 4.71)
 (envelope-from <dyin@HIDDEN>) id 1WipCZ-0005Eb-Ce
 for bug-coreutils@HIDDEN; Fri, 09 May 2014 14:07:28 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <dyin@HIDDEN>) id 1WipCQ-000389-Gn
 for bug-coreutils@HIDDEN; Fri, 09 May 2014 14:07:19 -0400
Received: from smtpout01.mail.ca.gov ([134.186.202.199]:53332)
 by eggs.gnu.org with esmtp (Exim 4.71)
 (envelope-from <dyin@HIDDEN>) id 1WipCQ-000380-7n
 for bug-coreutils@HIDDEN; Fri, 09 May 2014 14:07:10 -0400
Received: from smtpout01.mail.ca.gov (unknown [127.0.0.1])
 by IMSVA (Postfix) with ESMTP id 4618E1A01B0
 for <bug-coreutils@HIDDEN>; Fri,  9 May 2014 11:07:08 -0700 (PDT)
Received: from MRF01DAG5S05.rf01.itservices.ca.gov (unknown [134.186.164.12])
 by smtpout01.mail.ca.gov (Postfix) with ESMTPS id 37FA31A0193
 for <bug-coreutils@HIDDEN>; Fri,  9 May 2014 11:07:08 -0700 (PDT)
Received: from MRF01DAG6S04.rf01.itservices.ca.gov (134.187.68.107) by
 MRF01DAG5S05.rf01.itservices.ca.gov (134.187.68.36) with Microsoft SMTP
 Server (TLS) id 14.3.174.1; Fri, 9 May 2014 11:07:07 -0700
Received: from MRF01DAG3S06.rf01.itservices.ca.gov ([169.254.6.150]) by
 MRF01DAG6S04.rf01.itservices.ca.gov ([169.254.4.166]) with mapi id
 14.03.0174.001; Fri, 9 May 2014 11:07:07 -0700
From: "Yin, Dazhong@ARB" <dyin@HIDDEN>
To: "bug-coreutils@HIDDEN" <bug-coreutils@HIDDEN>
Subject: date command: Bug?
Thread-Topic: date command: Bug?
Thread-Index: Ac9rsDu3o8FKxtMbTMGf05VrgBlSdA==
Date: Fri, 9 May 2014 18:07:06 +0000
Message-ID: <C08E8A6A721CF9429FB6099DC5FFC3F4C61F4C@HIDDEN>
Accept-Language: en-US
Content-Language: en-US
X-MS-Has-Attach: 
X-MS-TNEF-Correlator: 
x-originating-ip: [146.114.68.148]
Content-Type: multipart/alternative;
 boundary="_000_C08E8A6A721CF9429FB6099DC5FFC3F4C61F4CMRF01DAG3S06rf01i_"
MIME-Version: 1.0
X-TM-AS-MML: No
X-TM-AS-Product-Ver: IMSVA-8.2.0.1679-7.5.0.1017-20684.001
X-TMASE-Version: IMSVA-8.2.0.1679-7.5.1017-20684.001
X-TMASE-Result: 10--12.637500-5.000000
X-TMASE-MatchedRID: 8uL0miYDZXP9jxte3IFskEvEthfZZLzvj5hUmqusTPh13iQV6+wg1EoX
 KBbeyLpPNtrqBJtuOX5BVgr5vOsPONLF6Y0L7R/QG66tuBin4dDqv7ls89q4d/k3SjZMcZFkqAV
 fbHPk2MfiPiWvhafhGKwQUp5/xlTGp/nT+xnI1R26kMgL3jbYOtMxD/3e8TxdRtqpRW8sWyLaz3
 ayHTONm9l9DHcHloy4klPOPDP4bOiuEAHkLyBnqjTR2TFg0xG31ViV5EWK7TubKItl61J/yZUdX
 E/WGn0Fq61alUC6VkeOhzOa6g8KrZyD7t3xPR1PRzkCAZwtF7w9wjv+/GE7b/i0JQDOE4xUfkWX
 ZjZCJM6KuGrvIs1Ymc9Q+Rxg8UQ/q21/CoroZHnoieWEPs8FCJRMZUCEHkRt
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.6.x
X-detected-operating-system: by eggs.gnu.org: Error: Malformed IPv6 address
 (bad octet value).
X-Received-From: 2001:4830:134:3::11
X-Spam-Score: -4.0 (----)
X-Debbugs-Envelope-To: submit
X-Mailman-Approved-At: Fri, 09 May 2014 14:17:40 -0400
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -4.0 (----)

--_000_C08E8A6A721CF9429FB6099DC5FFC3F4C61F4CMRF01DAG3S06rf01i_
Content-Type: text/plain; charset="us-ascii"
Content-Transfer-Encoding: quoted-printable

When querying the time zone, the date command cannot deal with the hour whe=
n time changes from standard time to daylight saving time.  Below examples =
show the tests done in the Pacific time zone.

---------------------------------------------------------------------------=
--------------------------------------------------------------------

date -d "20120311 01" +%:::z
-08

date -d "20120311 02" +%:::z
date: invalid date `20120311 02'

date -d "20120311 03" +%:::z
-07

date -d "20140309 01" +%:::z
-08

date -d "20140309 02" +%:::z
date: invalid date `20140309 02'

date -d "20140309 03" +%:::z
-07

--_000_C08E8A6A721CF9429FB6099DC5FFC3F4C61F4CMRF01DAG3S06rf01i_
Content-Type: text/html; charset="us-ascii"
Content-Transfer-Encoding: quoted-printable

<html xmlns:v=3D"urn:schemas-microsoft-com:vml" xmlns:o=3D"urn:schemas-micr=
osoft-com:office:office" xmlns:w=3D"urn:schemas-microsoft-com:office:word" =
xmlns:m=3D"http://schemas.microsoft.com/office/2004/12/omml" xmlns=3D"http:=
//www.w3.org/TR/REC-html40">
<head>
<meta http-equiv=3D"Content-Type" content=3D"text/html; charset=3Dus-ascii"=
>
<meta name=3D"Generator" content=3D"Microsoft Word 14 (filtered medium)">
<style><!--
/* Font Definitions */
@font-face
	{font-family:Calibri;
	panose-1:2 15 5 2 2 2 4 3 2 4;}
/* Style Definitions */
p.MsoNormal, li.MsoNormal, div.MsoNormal
	{margin:0in;
	margin-bottom:.0001pt;
	font-size:11.0pt;
	font-family:"Calibri","sans-serif";}
a:link, span.MsoHyperlink
	{mso-style-priority:99;
	color:blue;
	text-decoration:underline;}
a:visited, span.MsoHyperlinkFollowed
	{mso-style-priority:99;
	color:purple;
	text-decoration:underline;}
span.EmailStyle17
	{mso-style-type:personal-compose;
	font-family:"Calibri","sans-serif";
	color:windowtext;}
.MsoChpDefault
	{mso-style-type:export-only;
	font-family:"Calibri","sans-serif";}
@page WordSection1
	{size:8.5in 11.0in;
	margin:1.0in 1.0in 1.0in 1.0in;}
div.WordSection1
	{page:WordSection1;}
--></style><!--[if gte mso 9]><xml>
<o:shapedefaults v:ext=3D"edit" spidmax=3D"1026" />
</xml><![endif]--><!--[if gte mso 9]><xml>
<o:shapelayout v:ext=3D"edit">
<o:idmap v:ext=3D"edit" data=3D"1" />
</o:shapelayout></xml><![endif]-->
</head>
<body lang=3D"EN-US" link=3D"blue" vlink=3D"purple">
<div class=3D"WordSection1">
<p class=3D"MsoNormal">When querying the time zone, the date command cannot=
 deal with the hour when time changes from standard time to daylight saving=
 time.&nbsp; Below examples show the tests done in the Pacific time zone.<o=
:p></o:p></p>
<p class=3D"MsoNormal"><o:p>&nbsp;</o:p></p>
<p class=3D"MsoNormal">----------------------------------------------------=
---------------------------------------------------------------------------=
----------------<o:p></o:p></p>
<p class=3D"MsoNormal"><o:p>&nbsp;</o:p></p>
<p class=3D"MsoNormal">date -d &quot;20120311 01&quot; &#43;%:::z<o:p></o:p=
></p>
<p class=3D"MsoNormal">-08<o:p></o:p></p>
<p class=3D"MsoNormal"><o:p>&nbsp;</o:p></p>
<p class=3D"MsoNormal">date -d &quot;20120311 02&quot; &#43;%:::z<o:p></o:p=
></p>
<p class=3D"MsoNormal">date: invalid date `20120311 02'<o:p></o:p></p>
<p class=3D"MsoNormal"><o:p>&nbsp;</o:p></p>
<p class=3D"MsoNormal">date -d &quot;20120311 03&quot; &#43;%:::z<o:p></o:p=
></p>
<p class=3D"MsoNormal">-07<o:p></o:p></p>
<p class=3D"MsoNormal"><o:p>&nbsp;</o:p></p>
<p class=3D"MsoNormal">date -d &quot;20140309 01&quot; &#43;%:::z<o:p></o:p=
></p>
<p class=3D"MsoNormal">-08<o:p></o:p></p>
<p class=3D"MsoNormal"><o:p>&nbsp;</o:p></p>
<p class=3D"MsoNormal">date -d &quot;20140309 02&quot; &#43;%:::z<o:p></o:p=
></p>
<p class=3D"MsoNormal">date: invalid date `20140309 02'<o:p></o:p></p>
<p class=3D"MsoNormal"><o:p>&nbsp;</o:p></p>
<p class=3D"MsoNormal">date -d &quot;20140309 03&quot; &#43;%:::z<o:p></o:p=
></p>
<p class=3D"MsoNormal">-07<o:p></o:p></p>
</div>
</body>
</html>

--_000_C08E8A6A721CF9429FB6099DC5FFC3F4C61F4CMRF01DAG3S06rf01i_--





Acknowledgement sent to "Yin, Dazhong@ARB" <dyin@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-coreutils@HIDDEN. Full text available.
Report forwarded to bug-coreutils@HIDDEN:
bug#17451; Package coreutils. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Fri, 31 Oct 2014 17:00:04 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.